Bug 878795 - [abrt] blueman-1.23-2.fc17: PulseAudio.py:214:card_cb:KeyError: 'bluez.path'
[abrt] blueman-1.23-2.fc17: PulseAudio.py:214:card_cb:KeyError: 'bluez.path'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:b777495c970740edbc57940c98f...
:
: 988265 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 04:07 EST by Roman Melihhov
Modified: 2014-12-31 08:46 EST (History)
50 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 19:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: executable (23 bytes, text/plain)
2012-11-21 04:07 EST, Roman Melihhov
no flags Details
File: environ (1.44 KB, text/plain)
2012-11-21 04:07 EST, Roman Melihhov
no flags Details
File: smolt_data (2.98 KB, text/plain)
2012-11-21 04:07 EST, Roman Melihhov
no flags Details
File: core_backtrace (436 bytes, text/plain)
2012-11-21 04:07 EST, Roman Melihhov
no flags Details

  None (edit)
Description Roman Melihhov 2012-11-21 04:07:32 EST
Version-Release number of selected component:
blueman-1.23-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/blueman-applet
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:PulseAudio.py:214:card_cb:KeyError: 'bluez.path'
:
:Traceback (most recent call last):
:  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 353, in __list_callback
:    info["handler"](entry_info, False)
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 522, in handler
:    callback(self.__card_info(entry_info))
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in card_cb
:    m = self.loaded_modules[c["proplist"]["bluez.path"]]
:KeyError: 'bluez.path'
:
:Local variables in innermost frame:
:c: {'index': 0L, 'name': 'alsa_card.pci-0000_00_14.2', 'owner_module': 4L, 'driver': 'module-alsa-card.c', 'profiles': [{'n_sources': 0L, 'priority': 6000L, 'n_sinks': 1L, 'name': 'output:analog-stereo', 'description': 'Analog Stereo Output'}, {'n_sources': 1L, 'priority': 6060L, 'n_sinks': 1L, 'name': 'output:analog-stereo+input:analog-stereo', 'description': 'Analog Stereo Duplex'}, {'n_sources': 0L, 'priority': 700L, 'n_sinks': 1L, 'name': 'output:analog-surround-40', 'description': 'Analog Surround 4.0 Output'}, {'n_sources': 1L, 'priority': 760L, 'n_sinks': 1L, 'name': 'output:analog-surround-40+input:analog-stereo', 'description': 'Analog Surround 4.0 Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 800L, 'n_sinks': 1L, 'name': 'output:analog-surround-41', 'description': 'Analog Surround 4.1 Output'}, {'n_sources': 1L, 'priority': 860L, 'n_sinks': 1L, 'name': 'output:analog-surround-41+input:analog-stereo', 'description': 'Analog Surround 4.1 Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 700L, 'n_sinks': 1L, 'name': 'output:analog-surround-50', 'description': 'Analog Surround 5.0 Output'}, {'n_sources': 1L, 'priority': 760L, 'n_sinks': 1L, 'name': 'output:analog-surround-50+input:analog-stereo', 'description': 'Analog Surround 5.0 Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 800L, 'n_sinks': 1L, 'name': 'output:analog-surround-51', 'description': 'Analog Surround 5.1 Output'}, {'n_sources': 1L, 'priority': 860L, 'n_sinks': 1L, 'name': 'output:analog-surround-51+input:analog-stereo', 'description': 'Analog Surround 5.1 Output + Analog Stereo Input'}, {'n_sources': 1L, 'priority': 60L, 'n_sinks': 0L, 'name': 'input:analog-stereo', 'description': 'Analog Stereo Input'}, {'n_sources': 0L, 'priority': 0L, 'n_sinks': 0L, 'name': 'off', 'description': 'Off'}], 'active_profile': 'output:analog-surround-51+input:analog-stereo', 'proplist': {'device.description': 'Internal Audio', 'device.form_factor': 'internal', 'sysfs.path': '/devices/pci0000:00/0000:00:14.2/sound/card0', 'alsa.card': '0', 'device.bus_path': 'pci-0000:00:14.2', 'alsa.driver_name': 'snd_hda_intel', 'device.vendor.id': '1002', 'device.vendor.name': 'ATI Technologies Inc', 'device.string': '0', 'device.bus': 'pci', 'alsa.card_name': 'HDA ATI SB', 'device.icon_name': 'audio-card-pci', 'device.product.name': 'SBx00 Azalia (Intel HDA)', 'module-udev-detect.discovered': '1', 'alsa.long_card_name': 'HDA ATI SB at 0xfe8f4000 irq 16'}}
:pa_utils: <PulseAudioUtils object at 0xf25d20 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0xf688c0)>
:self: <blueman.plugins.applet.PulseAudio.PulseAudio object at 0xf27f50>

Potential duplicate bug: 827646
Comment 1 Roman Melihhov 2012-11-21 04:07:40 EST
Created attachment 649112 [details]
File: executable
Comment 2 Roman Melihhov 2012-11-21 04:07:42 EST
Created attachment 649113 [details]
File: environ
Comment 3 Roman Melihhov 2012-11-21 04:07:44 EST
Created attachment 649114 [details]
File: smolt_data
Comment 4 Roman Melihhov 2012-11-21 04:07:46 EST
Created attachment 649115 [details]
File: core_backtrace
Comment 5 mochapenguin 2013-03-09 08:52:14 EST
Scenario: Laptop is connected to Samsung Monitor using HDMI cable.

Open System Settings > Sound > Hardware tab

Switch profile from Analog Surround 4.0 Output + Analog Stereo Input  to Digital Stereo (HDMI) output + Analog Stereo Input

That's when this crash happens.


Package: blueman-1.23-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 21:31:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jiri Moskovcak 2013-07-24 03:39:39 EDT
Still happens in F19
Comment 8 Jiri Moskovcak 2013-07-25 04:32:58 EDT
*** Bug 988265 has been marked as a duplicate of this bug. ***
Comment 9 Vinod Kutty 2013-07-25 23:57:19 EDT
Description of problem:
Unknown

Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1222

Truncated backtrace:
PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 353, in __list_callback
    info["handler"](entry_info, False)
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 522, in handler
    callback(self.__card_info(entry_info))
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in card_cb
    m = self.loaded_modules[c["proplist"]["bluez.path"]]
KeyError: 'bluez.path'

Local variables in innermost frame:
c: {'index': 0L, 'name': 'alsa_card.pci-0000_00_1b.0', 'owner_module': 4L, 'driver': 'module-alsa-card.c', 'profiles': [{'n_sources': 1L, 'priority': 60L, 'n_sinks': 0L, 'name': 'input:analog-stereo', 'description': 'Analog Stereo Input'}, {'n_sources': 0L, 'priority': 6000L, 'n_sinks': 1L, 'name': 'output:analog-stereo', 'description': 'Analog Stereo Output'}, {'n_sources': 1L, 'priority': 6060L, 'n_sinks': 1L, 'name': 'output:analog-stereo+input:analog-stereo', 'description': 'Analog Stereo Duplex'}, {'n_sources': 0L, 'priority': 5400L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo', 'description': 'Digital Stereo (HDMI) Output'}, {'n_sources': 1L, 'priority': 5460L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo+input:analog-stereo', 'description': 'Digital Stereo (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 300L, 'n_sinks': 1L, 'name': 'output:hdmi-surround', 'description': 'Digital Surround 5.1 (HDMI) Output'}, {'n_sources': 1L, 'priority': 360L, 'n_sinks': 1L, 'name': 'output:hdmi-surround+input:analog-stereo', 'description': 'Digital Surround 5.1 (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 0L, 'n_sinks': 0L, 'name': 'off', 'description': 'Off'}], 'active_profile': 'output:analog-stereo+input:analog-stereo', 'proplist': {'device.description': 'Built-in Audio', 'device.form_factor': 'internal', 'sysfs.path': '/devices/pci0000:00/0000:00:1b.0/sound/card0', 'alsa.card': '0', 'device.bus_path': 'pci-0000:00:1b.0', 'alsa.driver_name': 'snd_hda_intel', 'device.vendor.id': '8086', 'device.product.name': '7 Series/C210 Series Chipset Family High Definition Audio Controller', 'device.vendor.name': 'Intel Corporation', 'device.string': '0', 'device.bus': 'pci', 'alsa.card_name': 'HDA Intel PCH', 'device.icon_name': 'audio-card-pci', 'device.product.id': '1e20', 'module-udev-detect.discovered': '1', 'alsa.long_card_name': 'HDA Intel PCH at 0xd0510000 irq 45'}}
pa_utils: <PulseAudioUtils object at 0x7f53e916f960 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x26decc0)>
self: <blueman.plugins.applet.PulseAudio.PulseAudio object at 0x7f53e9171410>
Comment 10 Joe 2013-07-28 07:12:57 EDT
Description of problem:
when I plugged the earphones I got this error.

Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 353, in __list_callback
    info["handler"](entry_info, False)
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 522, in handler
    callback(self.__card_info(entry_info))
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in card_cb
    m = self.loaded_modules[c["proplist"]["bluez.path"]]
KeyError: 'bluez.path'

Local variables in innermost frame:
c: {'index': 0L, 'name': 'alsa_card.pci-0000_00_1b.0', 'owner_module': 4L, 'driver': 'module-alsa-card.c', 'profiles': [{'n_sources': 1L, 'priority': 60L, 'n_sinks': 0L, 'name': 'input:analog-stereo', 'description': 'Analog Stereo Input'}, {'n_sources': 0L, 'priority': 6000L, 'n_sinks': 1L, 'name': 'output:analog-stereo', 'description': 'Analog Stereo Output'}, {'n_sources': 1L, 'priority': 6060L, 'n_sinks': 1L, 'name': 'output:analog-stereo+input:analog-stereo', 'description': 'Analog Stereo Duplex'}, {'n_sources': 0L, 'priority': 5400L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo', 'description': 'Digital Stereo (HDMI) Output'}, {'n_sources': 1L, 'priority': 5460L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo+input:analog-stereo', 'description': 'Digital Stereo (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 300L, 'n_sinks': 1L, 'name': 'output:hdmi-surround', 'description': 'Digital Surround 5.1 (HDMI) Output'}, {'n_sources': 1L, 'priority': 360L, 'n_sinks': 1L, 'name': 'output:hdmi-surround+input:analog-stereo', 'description': 'Digital Surround 5.1 (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 5200L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo-extra1', 'description': 'Digital Stereo (HDMI) Output'}, {'n_sources': 1L, 'priority': 5260L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo-extra1+input:analog-stereo', 'description': 'Digital Stereo (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 100L, 'n_sinks': 1L, 'name': 'output:hdmi-surround-extra1', 'description': 'Digital Surround 5.1 (HDMI) Output'}, {'n_sources': 1L, 'priority': 160L, 'n_sinks': 1L, 'name': 'output:hdmi-surround-extra1+input:analog-stereo', 'description': 'Digital Surround 5.1 (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 5200L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo-extra2', 'description': 'Digital Stereo (HDMI) Output'}, {'n_sources': 1L, 'priority': 5260L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo-extra2+input:analog-stereo', 'description': 'Digital Stereo (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 100L, 'n_sinks': 1L, 'name': 'output:hdmi-surround-extra2', 'description': 'Digital Surround 5.1 (HDMI) Output'}, {'n_sources': 1L, 'priority': 160L, 'n_sinks': 1L, 'name': 'output:hdmi-surround-extra2+input:analog-stereo', 'description': 'Digital Surround 5.1 (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 0L, 'n_sinks': 0L, 'name': 'off', 'description': 'Off'}], 'active_profile': 'output:analog-stereo+input:analog-stereo', 'proplist': {'device.description': 'Built-in Audio', 'device.form_factor': 'internal', 'sysfs.path': '/devices/pci0000:00/0000:00:1b.0/sound/card0', 'alsa.card': '0', 'device.bus_path': 'pci-0000:00:1b.0', 'alsa.driver_name': 'snd_hda_intel', 'device.vendor.id': '8086', 'device.product.name': '7 Series/C210 Series Chipset Family High Definition Audio Controller', 'device.vendor.name': 'Intel Corporation', 'device.string': '0', 'device.bus': 'pci', 'alsa.card_name': 'HDA Intel PCH', 'device.icon_name': 'audio-card-pci', 'device.product.id': '1e20', 'module-udev-detect.discovered': '1', 'alsa.long_card_name': 'HDA Intel PCH at 0xf7e30000 irq 48'}}
pa_utils: <PulseAudioUtils object at 0x7f68d1a1d780 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x155f320)>
self: <blueman.plugins.applet.PulseAudio.PulseAudio object at 0x7f68d1a1e3d0>
Comment 11 Tomas Dolezal 2013-08-08 16:11:57 EDT
Plugged in headphones into computer (and skype was starting). Crash was the reaction.
Comment 12 Rick Richardson 2013-10-03 15:21:58 EDT
I don't even have bluetooth <anything>.  Still I get the crash.  Please fix!
Comment 13 cutnioff 2013-10-03 23:41:24 EDT
Hello! I have this same bug too. But I have no the Bluetooth on my workstation too.
Comment 14 ILMostro 2013-10-10 03:13:18 EDT
Fedora19.x86_64 problem persists.  This is not specific to F17, and the issue has not been resolved, I presume.  

The following message is displayed after plugging in a set of head-phones into the audio jack:

Bluetooth Manager crashed
PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

Version blueman-1.23-6.fc19
Comment 15 cutnioff 2013-10-10 05:57:36 EDT
>> The following message is displayed after plugging in a set of head-phones into the audio jack:

Maybe!!
Comment 16 Gabriele Svelto 2013-10-11 06:08:46 EDT
This seems to happen on both my desktop and my laptop whenever I unplug the headphone jack. In both cases when it happens the headphone is set as the default audio output device.
Comment 17 Xuechao Wei 2013-10-13 23:24:32 EDT
Description of problem:
Once I plugin my earphone into the hole (you know what I mean) of my laptop, the automatic bug report tool of my fedora pops and report an error said "PulseAudio.py:214:card_cd:KeyError:'bluez.path'".

Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 353, in __list_callback
    info["handler"](entry_info, False)
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 522, in handler
    callback(self.__card_info(entry_info))
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in card_cb
    m = self.loaded_modules[c["proplist"]["bluez.path"]]
KeyError: 'bluez.path'

Local variables in innermost frame:
c: {'index': 0L, 'name': 'alsa_card.pci-0000_00_1b.0', 'owner_module': 4L, 'driver': 'module-alsa-card.c', 'profiles': [{'n_sources': 1L, 'priority': 60L, 'n_sinks': 0L, 'name': 'input:analog-stereo', 'description': 'Analog Stereo Input'}, {'n_sources': 0L, 'priority': 6000L, 'n_sinks': 1L, 'name': 'output:analog-stereo', 'description': 'Analog Stereo Output'}, {'n_sources': 1L, 'priority': 6060L, 'n_sinks': 1L, 'name': 'output:analog-stereo+input:analog-stereo', 'description': 'Analog Stereo Duplex'}, {'n_sources': 0L, 'priority': 5400L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo', 'description': 'Digital Stereo (HDMI) Output'}, {'n_sources': 1L, 'priority': 5460L, 'n_sinks': 1L, 'name': 'output:hdmi-stereo+input:analog-stereo', 'description': 'Digital Stereo (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 300L, 'n_sinks': 1L, 'name': 'output:hdmi-surround', 'description': 'Digital Surround 5.1 (HDMI) Output'}, {'n_sources': 1L, 'priority': 360L, 'n_sinks': 1L, 'name': 'output:hdmi-surround+input:analog-stereo', 'description': 'Digital Surround 5.1 (HDMI) Output + Analog Stereo Input'}, {'n_sources': 0L, 'priority': 0L, 'n_sinks': 0L, 'name': 'off', 'description': 'Off'}], 'active_profile': 'output:analog-stereo+input:analog-stereo', 'proplist': {'device.description': 'Built-in Audio', 'device.form_factor': 'internal', 'sysfs.path': '/devices/pci0000:00/0000:00:1b.0/sound/card0', 'alsa.card': '0', 'device.bus_path': 'pci-0000:00:1b.0', 'alsa.driver_name': 'snd_hda_intel', 'device.vendor.id': '8086', 'device.product.name': '7 Series/C210 Series Chipset Family High Definition Audio Controller', 'device.vendor.name': 'Intel Corporation', 'device.string': '0', 'device.bus': 'pci', 'alsa.card_name': 'HDA Intel PCH', 'device.icon_name': 'audio-card-pci', 'device.product.id': '1e20', 'module-udev-detect.discovered': '1', 'alsa.long_card_name': 'HDA Intel PCH at 0xf7e30000 irq 48'}}
pa_utils: <PulseAudioUtils object at 0x23dfa50 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x2325700)>
self: <blueman.plugins.applet.PulseAudio.PulseAudio object at 0x22f2950>
Comment 18 Peter H. Jones 2013-10-21 13:04:32 EDT
Got the bug trying out trying k3guitune-1.01-9.fc18.x86_64 for the first time. Haven't read the manual yet, or tried again, so I don't know if my configuration is correct.

I seem to see incoming waveforms on k3guitune's oscilloscope display, but detetion of pitch appears erratic when I hum or sing into the built-in microphone.
Comment 19 Antoine Martin 2013-10-26 12:06:02 EDT
FWIW: happened as I turned the HDMI sound output device off using pavucontrol.
Comment 20 Peter H. Jones 2013-10-26 19:42:02 EDT
Tried k3guitune on another computer. It works OK there. I found it advisable to use a pitch pipe to produce  notes that were steady enough for k3guitune to detect.

After using the PulseAudio ALSA volume control, I sometimes hear a rushing sound
in the speakers/microphone. I can get rid of that if I set the Built-In-Analog-Stereo port to Internal Microphone. If I set it to Microphone, with nothing plugged in to the microphobne jack or USB (possible microphone inputs), I hear the rushing sound, even if I mute the input.

I note that on the computer where I'm having the problem, the PulseAudio ALSA volume control seems to use about 25% of the CPU, according to the System Monitor. Maybe that's because of the horizontal volume displays in the volume control. As a result, I start getting skips and messages about late video/audio when the control is open. For instance, right now I had Firefox (to add to this bug report) and the PulseAudio ALSA volume control open, and my CPU usage was 55%. Closing the control dropped my CPU usage to 25%. Here's a sample of the output of the top of the screen from the top command when the control is open:

"%Cpu(s): 49.7 us, 17.9 sy,  0.0 ni, 29.1 id,  0.0 wa,  2.6 hi,  0.7 si,  0.0 st
KiB Mem:    740724 total,   684208 used,    56516 free,    21256 buffers
KiB Swap:  5124696 total,      264 used,  5124432 free,   179792 cached

  PID USER      PR  NI  VIRT  RES  SHR S  %CPU %MEM    TIME+  COMMAND
  575 root      20   0  213m  35m  15m R  29.0  4.9   4:40.86 X
 1960 jones     20   0  627m  21m  15m R  22.1  3.0   0:11.06 pavucontrol
 1419 jones      9 -11  538m 8684 5860 S   6.6  1.2   0:58.16 pulseaudio
 1915 jones     20   0  602m  21m  14m S   4.9  3.0   0:18.72 gnome-system-mo
 1800 jones     20   0  478m  19m  11m S   1.6  2.7   0:17.56 plugin-containe
    4 root      20   0     0    0    0 R   1.3  0.0   0:24.10 kworker/0:0
 1455 jones     20   0  472m  10m 8432 S   0.7  1.5   0:05.22 clipit
 2024 jones     20   0  115m 1472 1040 R   0.7  0.2   0:00.14 top
    3 root      20   0     0    0    0 S   0.3  0.0   0:01.09 ksoftirqd/0
 1306 jones     20   0  597m  20m  12m S   0.3  2.9   0:07.19 xfce4-panel"
Comment 21 Peter H. Jones 2013-10-28 10:06:32 EDT
Happened as I plugged in a microphone to the audio input.
Comment 22 Brent R Brian 2013-11-02 13:52:13 EDT
Bug showing up in fc19.x86_64

Webcam turning off/on, bluetooth ABRT ... sound generally acting badly and the sound devices (stereo output) disappear and reappear ... locking up AUDACITY and causing VLC to loop on short pieces of audio when playing back A/V media.

I know, it is the day after Halloween ... no, I have not been hitting the punch.

Most of this complaint filed under 

https://bugzilla.redhat.com/show_bug.cgi?id=1025962

... before I realized that shutting off the bluetooth radio would fix the issue.
Comment 23 cutnioff 2013-11-05 02:12:10 EST
Description of problem:
Put the headphone jack to audio slot

Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 314, in 'calling callback function'
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 353, in __list_callback
    info["handler"](entry_info, False)
  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 522, in handler
    callback(self.__card_info(entry_info))
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PulseAudio.py", line 214, in card_cb
    m = self.loaded_modules[c["proplist"]["bluez.path"]]
KeyError: 'bluez.path'

Local variables in innermost frame:
c: {'index': 1L, 'name': 'alsa_card.pci-0000_00_1b.0', 'owner_module': 5L, 'driver': 'module-alsa-card.c', 'profiles': [{'n_sources': 1L, 'priority': 60L, 'n_sinks': 0L, 'name': 'input:analog-stereo', 'description': '\xd0\x90\xd0\xbd\xd0\xb0\xd0\xbb\xd0\xbe\xd0\xb3\xd0\xbe\xd0\xb2\xd0\xbe\xd0\xb5 \xd1\x81\xd1\x82\xd0\xb5\xd1\x80\xd0\xb5\xd0\xbe Input'}, {'n_sources': 0L, 'priority': 6000L, 'n_sinks': 1L, 'name': 'output:analog-stereo', 'description': '\xd0\x90\xd0\xbd\xd0\xb0\xd0\xbb\xd0\xbe\xd0\xb3\xd0\xbe\xd0\xb2\xd0\xbe\xd0\xb5 \xd1\x81\xd1\x82\xd0\xb5\xd1\x80\xd0\xb5\xd0\xbe Output'}, {'n_sources': 1L, 'priority': 6060L, 'n_sinks': 1L, 'name': 'output:analog-stereo+input:analog-stereo', 'description': '\xd0\x90\xd0\xbd\xd0\xb0\xd0\xbb\xd0\xbe\xd0\xb3\xd0\xbe\xd0\xb2\xd1\x8b\xd0\xb9 \xd1\x81\xd1\x82\xd0\xb5\xd1\x80\xd0\xb5\xd0\xbe \xd0\xb4\xd1\x83\xd0\xbf\xd0\xbb\xd0\xb5\xd0\xba\xd1\x81'}, {'n_sources': 0L, 'priority': 0L, 'n_sinks': 0L, 'name': 'off', 'description': '\xd0\x92\xd1\x8b\xd0\xba\xd0\xbb\xd1\x8e\xd1\x87\xd0\xb5\xd0\xbd\xd0\xbe'}], 'active_profile': 'output:analog-stereo+input:analog-stereo', 'proplist': {'device.description': '\xd0\x92\xd1\x81\xd1\x82\xd1\x80\xd0\xbe\xd0\xb5\xd0\xbd\xd0\xbd\xd0\xbe\xd0\xb5 \xd0\xb0\xd1\x83\xd0\xb4\xd0\xb8\xd0\xbe', 'device.form_factor': 'internal', 'sysfs.path': '/devices/pci0000:00/0000:00:1b.0/sound/card0', 'alsa.card': '0', 'device.bus_path': 'pci-0000:00:1b.0', 'alsa.driver_name': 'snd_hda_intel', 'device.vendor.id': '8086', 'device.product.name': '7 Series/C210 Series Chipset Family High Definition Audio Controller', 'device.vendor.name': 'Intel Corporation', 'device.string': '0', 'device.bus': 'pci', 'alsa.card_name': 'HDA Intel PCH', 'device.icon_name': 'audio-card-pci', 'device.product.id': '1e20', 'module-udev-detect.discovered': '1', 'alsa.long_card_name': 'HDA Intel PCH at 0xf7130000 irq 44'}}
pa_utils: <PulseAudioUtils object at 0x208edc0 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x20d2ae0)>
self: <blueman.plugins.applet.PulseAudio.PulseAudio object at 0x20945d0>
Comment 24 Jan Pokorný 2013-11-06 04:57:48 EST
I suggest closing this as a dupe of [bug 873569] (or the other way around).
Comment 25 ILMostro 2013-11-24 00:41:24 EST
(In reply to Jan Pokorný from comment #24)
> I suggest closing this as a dupe of [bug 873569] (or the other way around).

I agree; The latest version(1.23) of blueman (a gtk+ applet for bluetooth) was released over 2 years ago.  The project was barely-maintained before that release as well as since.  My simple solution to resolving issues with ABRT alerts was to remove the blueman package; especially now with the next version of gnome-shell and bluez5 api incompatibilities and, therefore, bugs are bound to increase in number. Aside from that, those that abhorre the default bluetooth applet (or those w/out a default) should think about other alternatives until a solution is released, or search for a solution (**and maybe post here?**).
Comment 27 Juan Manuel Rodriguez 2013-12-09 19:23:50 EST
Hello. The blueman package has been retired from Fedora. 

A new maintainer has forked blueman as the old version wasn't actively developed. You may reach the new repository at github [1]

I apologize for any issues the package has had over the time it was packaged in Fedora. If blueman gets Bluez 5 support, I'll consider repackaging it for Fedora. 

Regards, 

[1] https://github.com/cschramm/blueman
Comment 28 Peter H. Jones 2013-12-14 11:38:14 EST
Removing as suggested.

"[root@localhost jones]# yum remove blueman
Loaded plugins: changelog, fastestmirror, langpacks, presto, refresh-
              : packagekit, security
Resolving Dependencies
--> Running transaction check
---> Package blueman.x86_64 0:1.23-5.fc18 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package     Arch       Version         Repository                        Size
===============================================================================
Removing:
 blueman     x86_64     1.23-5.fc18     @/blueman-1.23-5.fc18.x86_64     2.4 M

Transaction Summary
===============================================================================
Remove  1 Package

Installed size: 2.4 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : blueman-1.23-5.fc18.x86_64                                                    1/1 
  Verifying  : blueman-1.23-5.fc18.x86_64                                                    1/1 

Removed:
  blueman.x86_64 0:1.23-5.fc18                                                                   

Complete!
"

Note You need to log in before you can comment on or make changes to this bug.